#include <bits/stdc++.h>
#define ubrzaj ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);

using namespace std;

int main()
{
    ubrzaj
    long long n,l;
    cin >> n >> l;
    vector<long long> v(n);
    for(long long i=0; i<n; i++)cin >> v[i];
    for(long long i=0; i<n; i++)if(v[i]<=l){cout << i+1 << endl;return 0;}
    cout << "-1" << endl;
    return 0;
}